> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Subscription Item Data

> Updates the value of the given key on a subscription item bag.



## OpenAPI

````yaml /openapi/openapi_subscription.json put /commerce/subscriptions/{subscriptionId}/item/{subscriptionItemId}/data/{subscriptionItemDataId}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_SUBSCRIPTION">
                <h2>SUBSCRIPTIONS</h2>
                <p>The Subscription APIs are used to create and manage subscriptions in either an eCommerce+OMS implementation or a standalone 
                    Subscriptions solution. This includes updating items and quantities, subscription frequency, coupons, and performing actions 
                    on a subscription in addition to turning a subscription into an order. For more information, see the <a href="/pages/product-subscriptions">Subscriptions feature guide</a>.
                </p>
            </div>
  title: Subscriptions
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/subscriptions/{subscriptionId}/item/{subscriptionItemId}/data/{subscriptionItemDataId}:
    put:
      tags:
        - Subscription
      summary: Update Subscription Item Data
      description: Updates the value of the given key on a subscription item bag.
      parameters:
        - description: Unique Identifier of the Subscription you want to get the Items for
          in: path
          name: subscriptionId
          required: true
          schema:
            type: string
        - description: >-
            Unique Identifier of the SubscriptionItem you want to Insert /
            Update the Databag for
          in: path
          name: subscriptionItemId
          required: true
          schema:
            type: string
        - description: >-
            URLEncoded Key for the Value you want to Insert / Update from the
            SubscriptionItem DataBag
          in: path
          name: subscriptionItemDataId
          required: true
          schema:
            type: string
        - in: query
          name: updateMode
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema: {}
        description: Data Object you are trying to insert / update
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
            text/json:
              schema:
                type: object
            text/plain:
              schema:
                type: object
          description: OK
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````